//
// Este archivo ha sido generado por la arquitectura JavaTM para la implantación de la referencia de enlace (JAXB) XML v2.3.0-b170202.1032 
// Visite <a href="https://jaxb.java.net/">https://jaxb.java.net/</a> 
// Todas las modificaciones realizadas en este archivo se perderán si se vuelve a compilar el esquema de origen. 
// Generado el: 2023.02.13 a las 10:24:09 AM CET 
//

package com.ejie.ad74a.ws.client.platea.model.context;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Clase Java para anonymous complex type.
 * 
 * <p>
 * El siguiente fragmento de esquema especifica el contenido que se espera que
 * haya en esta clase.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="daDocumentalSeries" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="deliveryKey" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="departmentID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="departmentNameEs" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="departmentNameEu" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="entityID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="entityNameEs" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="entityNameEu" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="familyID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="familyNameEs" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="familyNameEu" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="folderID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="folderNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="folderDescription" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="creationTimestamp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="mailbox" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="managingUnitID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="managingUnitNameEs" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="managingUnitNameEu" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="solicitudID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="initiationType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="proceedingFamily" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="procedureID" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="procedureNameEs" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="procedureNameEu" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="procedureInboxID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="procedureInboxName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="processingRoleID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="processingRoleName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="registryNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="registryTimestamp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="registrySenderID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="registrySenderName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="registrySubmissionNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="registrySubmissionTimestamp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="mustRegistry" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="registryAddresseeCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="registryBookCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="registryTopicCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="participantID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="senderID" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="senderName" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *         &lt;element name="senderType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="submissionType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="submissionTypeNameEs" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="submissionTypeNameEu" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="yearNumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="managerCalendarType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="resolutionCalendarType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="applicationID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="attachmentID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element ref="{com/ejie/folderManagement/rri/xml}ApplicantInfoEventRRI"/&gt;
 *         &lt;element ref="{com/ejie/folderManagement/rri/xml}thirdPartyParticipationsEvent" minOccurs="0"/&gt;
 *         &lt;element ref="{com/ejie/folderManagement/rri/xml}documentsEvent" minOccurs="0"/&gt;
 *         &lt;element ref="{com/ejie/folderManagement/rri/xml}dataControlEvent" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = { "daDocumentalSeries", "deliveryKey", "departmentID", "departmentNameEs",
		"departmentNameEu", "entityID", "entityNameEs", "entityNameEu", "familyID", "familyNameEs", "familyNameEu",
		"folderID", "folderNumber", "folderDescription", "creationTimestamp", "mailbox", "managingUnitID",
		"managingUnitNameEs", "managingUnitNameEu", "solicitudID", "initiationType", "proceedingFamily", "procedureID",
		"procedureNameEs", "procedureNameEu", "procedureInboxID", "procedureInboxName", "processingRoleID",
		"processingRoleName", "registryNumber", "registryTimestamp", "registrySenderID", "instanceId",
		"registrySenderName", "registrySubmissionNumber", "registrySubmissionTimestamp", "mustRegistry",
		"registryAddresseeCode", "registryBookCode", "registryTopicCode", "participantID", "senderID", "senderName",
		"senderType", "submissionType", "submissionTypeNameEs", "submissionTypeNameEu", "yearNumber",
		"managerCalendarType", "resolutionCalendarType", "applicationID", "attachmentID", "applicantInfoEventRRI",
		"thirdPartyParticipationsEvent", "documentsEvent", "dataControlEvent" })
@XmlRootElement(name = "contextSubmissionEvent")
public class ContextSubmissionEvent {

	protected String daDocumentalSeries;
	protected String deliveryKey;
	protected String departmentID;
	protected String departmentNameEs;
	protected String departmentNameEu;
	protected String entityID;
	protected String entityNameEs;
	protected String entityNameEu;
	protected String familyID;
	protected String familyNameEs;
	protected String familyNameEu;
	protected String folderID;
	protected String folderNumber;
	protected String folderDescription;
	protected String creationTimestamp;
	protected String mailbox;
	protected String managingUnitID;
	protected String managingUnitNameEs;
	protected String managingUnitNameEu;
	protected String solicitudID;
	protected String initiationType;
	protected String proceedingFamily;
	@XmlElement(required = true)
	protected String procedureID;
	protected String procedureNameEs;
	protected String procedureNameEu;
	protected String procedureInboxID;
	protected String procedureInboxName;
	protected String processingRoleID;
	protected String processingRoleName;
	protected String registryNumber;
	protected String registryTimestamp;
	protected String registrySenderID;
	protected String registrySenderName;
	protected String registrySubmissionNumber;
	protected String registrySubmissionTimestamp;
	protected String mustRegistry;
	protected String registryAddresseeCode;
	protected String registryBookCode;
	protected String registryTopicCode;
	protected String participantID;
	@XmlElement(required = true)
	protected String senderID;
	@XmlElement(required = true)
	protected String senderName;
	protected String senderType;
	protected String submissionType;
	protected String submissionTypeNameEs;
	protected String submissionTypeNameEu;
	protected String yearNumber;
	protected String managerCalendarType;
	protected String resolutionCalendarType;
	protected String applicationID;
	protected String attachmentID;
	@XmlElement(name = "ApplicantInfoEventRRI", required = true)
	protected ApplicantInfoEventRRI applicantInfoEventRRI;
	protected ThirdPartyParticipationsEvent thirdPartyParticipationsEvent;
	@XmlElement(nillable = true)
	protected DocumentsEvent documentsEvent;
	protected List<DataControlEvent> dataControlEvent;

	protected String instanceId;

	/**
	 * Obtiene el valor de la propiedad daDocumentalSeries.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getDaDocumentalSeries() {
		return daDocumentalSeries;
	}

	/**
	 * Define el valor de la propiedad daDocumentalSeries.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setDaDocumentalSeries(String value) {
		this.daDocumentalSeries = value;
	}

	/**
	 * Obtiene el valor de la propiedad deliveryKey.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getDeliveryKey() {
		return deliveryKey;
	}

	/**
	 * Define el valor de la propiedad deliveryKey.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setDeliveryKey(String value) {
		this.deliveryKey = value;
	}

	/**
	 * Obtiene el valor de la propiedad departmentID.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getDepartmentID() {
		return departmentID;
	}

	/**
	 * Define el valor de la propiedad departmentID.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setDepartmentID(String value) {
		this.departmentID = value;
	}

	/**
	 * Obtiene el valor de la propiedad departmentNameEs.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getDepartmentNameEs() {
		return departmentNameEs;
	}

	/**
	 * Define el valor de la propiedad departmentNameEs.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setDepartmentNameEs(String value) {
		this.departmentNameEs = value;
	}

	/**
	 * Obtiene el valor de la propiedad departmentNameEu.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getDepartmentNameEu() {
		return departmentNameEu;
	}

	/**
	 * Define el valor de la propiedad departmentNameEu.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setDepartmentNameEu(String value) {
		this.departmentNameEu = value;
	}

	/**
	 * Obtiene el valor de la propiedad entityID.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getEntityID() {
		return entityID;
	}

	/**
	 * Define el valor de la propiedad entityID.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setEntityID(String value) {
		this.entityID = value;
	}

	/**
	 * Obtiene el valor de la propiedad entityNameEs.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getEntityNameEs() {
		return entityNameEs;
	}

	/**
	 * Define el valor de la propiedad entityNameEs.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setEntityNameEs(String value) {
		this.entityNameEs = value;
	}

	/**
	 * Obtiene el valor de la propiedad entityNameEu.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getEntityNameEu() {
		return entityNameEu;
	}

	/**
	 * Define el valor de la propiedad entityNameEu.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setEntityNameEu(String value) {
		this.entityNameEu = value;
	}

	/**
	 * Obtiene el valor de la propiedad familyID.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getFamilyID() {
		return familyID;
	}

	/**
	 * Define el valor de la propiedad familyID.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setFamilyID(String value) {
		this.familyID = value;
	}

	/**
	 * Obtiene el valor de la propiedad familyNameEs.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getFamilyNameEs() {
		return familyNameEs;
	}

	/**
	 * Define el valor de la propiedad familyNameEs.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setFamilyNameEs(String value) {
		this.familyNameEs = value;
	}

	/**
	 * Obtiene el valor de la propiedad familyNameEu.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getFamilyNameEu() {
		return familyNameEu;
	}

	/**
	 * Define el valor de la propiedad familyNameEu.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setFamilyNameEu(String value) {
		this.familyNameEu = value;
	}

	/**
	 * Obtiene el valor de la propiedad folderID.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getFolderID() {
		return folderID;
	}

	/**
	 * Define el valor de la propiedad folderID.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setFolderID(String value) {
		this.folderID = value;
	}

	/**
	 * Obtiene el valor de la propiedad folderNumber.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getFolderNumber() {
		return folderNumber;
	}

	/**
	 * Define el valor de la propiedad folderNumber.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setFolderNumber(String value) {
		this.folderNumber = value;
	}

	/**
	 * Obtiene el valor de la propiedad folderDescription.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getFolderDescription() {
		return folderDescription;
	}

	/**
	 * Define el valor de la propiedad folderDescription.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setFolderDescription(String value) {
		this.folderDescription = value;
	}

	/**
	 * Obtiene el valor de la propiedad creationTimestamp.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getCreationTimestamp() {
		return creationTimestamp;
	}

	/**
	 * Define el valor de la propiedad creationTimestamp.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setCreationTimestamp(String value) {
		this.creationTimestamp = value;
	}

	/**
	 * Obtiene el valor de la propiedad mailbox.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getMailbox() {
		return mailbox;
	}

	/**
	 * Define el valor de la propiedad mailbox.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setMailbox(String value) {
		this.mailbox = value;
	}

	/**
	 * Obtiene el valor de la propiedad managingUnitID.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getManagingUnitID() {
		return managingUnitID;
	}

	/**
	 * Define el valor de la propiedad managingUnitID.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setManagingUnitID(String value) {
		this.managingUnitID = value;
	}

	/**
	 * Obtiene el valor de la propiedad managingUnitNameEs.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getManagingUnitNameEs() {
		return managingUnitNameEs;
	}

	/**
	 * Define el valor de la propiedad managingUnitNameEs.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setManagingUnitNameEs(String value) {
		this.managingUnitNameEs = value;
	}

	/**
	 * Obtiene el valor de la propiedad managingUnitNameEu.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getManagingUnitNameEu() {
		return managingUnitNameEu;
	}

	/**
	 * Define el valor de la propiedad managingUnitNameEu.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setManagingUnitNameEu(String value) {
		this.managingUnitNameEu = value;
	}

	/**
	 * Obtiene el valor de la propiedad solicitudID.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getSolicitudID() {
		return solicitudID;
	}

	/**
	 * Define el valor de la propiedad solicitudID.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setSolicitudID(String value) {
		this.solicitudID = value;
	}

	/**
	 * Obtiene el valor de la propiedad initiationType.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getInitiationType() {
		return initiationType;
	}

	/**
	 * Define el valor de la propiedad initiationType.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setInitiationType(String value) {
		this.initiationType = value;
	}

	/**
	 * Obtiene el valor de la propiedad proceedingFamily.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getProceedingFamily() {
		return proceedingFamily;
	}

	/**
	 * Define el valor de la propiedad proceedingFamily.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setProceedingFamily(String value) {
		this.proceedingFamily = value;
	}

	/**
	 * Obtiene el valor de la propiedad procedureID.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getProcedureID() {
		return procedureID;
	}

	/**
	 * Define el valor de la propiedad procedureID.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setProcedureID(String value) {
		this.procedureID = value;
	}

	/**
	 * Obtiene el valor de la propiedad procedureNameEs.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getProcedureNameEs() {
		return procedureNameEs;
	}

	/**
	 * Define el valor de la propiedad procedureNameEs.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setProcedureNameEs(String value) {
		this.procedureNameEs = value;
	}

	/**
	 * Obtiene el valor de la propiedad procedureNameEu.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getProcedureNameEu() {
		return procedureNameEu;
	}

	/**
	 * Define el valor de la propiedad procedureNameEu.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setProcedureNameEu(String value) {
		this.procedureNameEu = value;
	}

	/**
	 * Obtiene el valor de la propiedad procedureInboxID.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getProcedureInboxID() {
		return procedureInboxID;
	}

	/**
	 * Define el valor de la propiedad procedureInboxID.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setProcedureInboxID(String value) {
		this.procedureInboxID = value;
	}

	/**
	 * Obtiene el valor de la propiedad procedureInboxName.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getProcedureInboxName() {
		return procedureInboxName;
	}

	/**
	 * Define el valor de la propiedad procedureInboxName.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setProcedureInboxName(String value) {
		this.procedureInboxName = value;
	}

	/**
	 * Obtiene el valor de la propiedad processingRoleID.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getProcessingRoleID() {
		return processingRoleID;
	}

	/**
	 * Define el valor de la propiedad processingRoleID.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setProcessingRoleID(String value) {
		this.processingRoleID = value;
	}

	/**
	 * Obtiene el valor de la propiedad processingRoleName.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getProcessingRoleName() {
		return processingRoleName;
	}

	/**
	 * Define el valor de la propiedad processingRoleName.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setProcessingRoleName(String value) {
		this.processingRoleName = value;
	}

	/**
	 * Obtiene el valor de la propiedad registryNumber.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getRegistryNumber() {
		return registryNumber;
	}

	/**
	 * Define el valor de la propiedad registryNumber.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setRegistryNumber(String value) {
		this.registryNumber = value;
	}

	/**
	 * Obtiene el valor de la propiedad registryTimestamp.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getRegistryTimestamp() {
		return registryTimestamp;
	}

	/**
	 * Define el valor de la propiedad registryTimestamp.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setRegistryTimestamp(String value) {
		this.registryTimestamp = value;
	}

	/**
	 * Obtiene el valor de la propiedad registrySenderID.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getRegistrySenderID() {
		return registrySenderID;
	}

	/**
	 * Define el valor de la propiedad registrySenderID.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setRegistrySenderID(String value) {
		this.registrySenderID = value;
	}

	/**
	 * Obtiene el valor de la propiedad registrySenderName.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getRegistrySenderName() {
		return registrySenderName;
	}

	/**
	 * Define el valor de la propiedad registrySenderName.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setRegistrySenderName(String value) {
		this.registrySenderName = value;
	}

	/**
	 * Obtiene el valor de la propiedad registrySubmissionNumber.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getRegistrySubmissionNumber() {
		return registrySubmissionNumber;
	}

	/**
	 * Define el valor de la propiedad registrySubmissionNumber.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setRegistrySubmissionNumber(String value) {
		this.registrySubmissionNumber = value;
	}

	/**
	 * Obtiene el valor de la propiedad registrySubmissionTimestamp.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getRegistrySubmissionTimestamp() {
		return registrySubmissionTimestamp;
	}

	/**
	 * Define el valor de la propiedad registrySubmissionTimestamp.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setRegistrySubmissionTimestamp(String value) {
		this.registrySubmissionTimestamp = value;
	}

	/**
	 * Obtiene el valor de la propiedad mustRegistry.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getMustRegistry() {
		return mustRegistry;
	}

	/**
	 * Define el valor de la propiedad mustRegistry.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setMustRegistry(String value) {
		this.mustRegistry = value;
	}

	/**
	 * Obtiene el valor de la propiedad registryAddresseeCode.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getRegistryAddresseeCode() {
		return registryAddresseeCode;
	}

	/**
	 * Define el valor de la propiedad registryAddresseeCode.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setRegistryAddresseeCode(String value) {
		this.registryAddresseeCode = value;
	}

	/**
	 * Obtiene el valor de la propiedad registryBookCode.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getRegistryBookCode() {
		return registryBookCode;
	}

	/**
	 * Define el valor de la propiedad registryBookCode.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setRegistryBookCode(String value) {
		this.registryBookCode = value;
	}

	/**
	 * Obtiene el valor de la propiedad registryTopicCode.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getRegistryTopicCode() {
		return registryTopicCode;
	}

	/**
	 * Define el valor de la propiedad registryTopicCode.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setRegistryTopicCode(String value) {
		this.registryTopicCode = value;
	}

	/**
	 * Obtiene el valor de la propiedad participantID.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getParticipantID() {
		return participantID;
	}

	/**
	 * Define el valor de la propiedad participantID.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setParticipantID(String value) {
		this.participantID = value;
	}

	/**
	 * Obtiene el valor de la propiedad senderID.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getSenderID() {
		return senderID;
	}

	/**
	 * Define el valor de la propiedad senderID.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setSenderID(String value) {
		this.senderID = value;
	}

	/**
	 * Obtiene el valor de la propiedad senderName.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getSenderName() {
		return senderName;
	}

	/**
	 * Define el valor de la propiedad senderName.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setSenderName(String value) {
		this.senderName = value;
	}

	/**
	 * Obtiene el valor de la propiedad senderType.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getSenderType() {
		return senderType;
	}

	/**
	 * Define el valor de la propiedad senderType.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setSenderType(String value) {
		this.senderType = value;
	}

	/**
	 * Obtiene el valor de la propiedad submissionType.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getSubmissionType() {
		return submissionType;
	}

	/**
	 * Define el valor de la propiedad submissionType.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setSubmissionType(String value) {
		this.submissionType = value;
	}

	/**
	 * Obtiene el valor de la propiedad submissionTypeNameEs.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getSubmissionTypeNameEs() {
		return submissionTypeNameEs;
	}

	/**
	 * Define el valor de la propiedad submissionTypeNameEs.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setSubmissionTypeNameEs(String value) {
		this.submissionTypeNameEs = value;
	}

	/**
	 * Obtiene el valor de la propiedad submissionTypeNameEu.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getSubmissionTypeNameEu() {
		return submissionTypeNameEu;
	}

	/**
	 * Define el valor de la propiedad submissionTypeNameEu.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setSubmissionTypeNameEu(String value) {
		this.submissionTypeNameEu = value;
	}

	/**
	 * Obtiene el valor de la propiedad yearNumber.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getYearNumber() {
		return yearNumber;
	}

	/**
	 * Define el valor de la propiedad yearNumber.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setYearNumber(String value) {
		this.yearNumber = value;
	}

	/**
	 * Obtiene el valor de la propiedad managerCalendarType.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getManagerCalendarType() {
		return managerCalendarType;
	}

	/**
	 * Define el valor de la propiedad managerCalendarType.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setManagerCalendarType(String value) {
		this.managerCalendarType = value;
	}

	/**
	 * Obtiene el valor de la propiedad resolutionCalendarType.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getResolutionCalendarType() {
		return resolutionCalendarType;
	}

	/**
	 * Define el valor de la propiedad resolutionCalendarType.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setResolutionCalendarType(String value) {
		this.resolutionCalendarType = value;
	}

	/**
	 * Obtiene el valor de la propiedad applicationID.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getApplicationID() {
		return applicationID;
	}

	/**
	 * Define el valor de la propiedad applicationID.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setApplicationID(String value) {
		this.applicationID = value;
	}

	/**
	 * Obtiene el valor de la propiedad attachmentID.
	 * 
	 * @return possible object is {@link String }
	 * 
	 */
	public String getAttachmentID() {
		return attachmentID;
	}

	/**
	 * Define el valor de la propiedad attachmentID.
	 * 
	 * @param value allowed object is {@link String }
	 * 
	 */
	public void setAttachmentID(String value) {
		this.attachmentID = value;
	}

	/**
	 * Obtiene el valor de la propiedad applicantInfoEventRRI.
	 * 
	 * @return possible object is {@link ApplicantInfoEventRRI }
	 * 
	 */
	public ApplicantInfoEventRRI getApplicantInfoEventRRI() {
		return applicantInfoEventRRI;
	}

	/**
	 * Define el valor de la propiedad applicantInfoEventRRI.
	 * 
	 * @param value allowed object is {@link ApplicantInfoEventRRI }
	 * 
	 */
	public void setApplicantInfoEventRRI(ApplicantInfoEventRRI value) {
		this.applicantInfoEventRRI = value;
	}

	/**
	 * Obtiene el valor de la propiedad thirdPartyParticipationsEvent.
	 * 
	 * @return possible object is {@link ThirdPartyParticipationsEvent }
	 * 
	 */
	public ThirdPartyParticipationsEvent getThirdPartyParticipationsEvent() {
		return thirdPartyParticipationsEvent;
	}

	/**
	 * Define el valor de la propiedad thirdPartyParticipationsEvent.
	 * 
	 * @param value allowed object is {@link ThirdPartyParticipationsEvent }
	 * 
	 */
	public void setThirdPartyParticipationsEvent(ThirdPartyParticipationsEvent value) {
		this.thirdPartyParticipationsEvent = value;
	}

	/**
	 * Obtiene el valor de la propiedad documentsEvent.
	 * 
	 * @return possible object is {@link DocumentsEvent }
	 * 
	 */
	public DocumentsEvent getDocumentsEvent() {
		return documentsEvent;
	}

	/**
	 * Define el valor de la propiedad documentsEvent.
	 * 
	 * @param value allowed object is {@link DocumentsEvent }
	 * 
	 */
	public void setDocumentsEvent(DocumentsEvent value) {
		this.documentsEvent = value;
	}

	/**
	 * Gets the value of the dataControlEvent property.
	 * 
	 * <p>
	 * This accessor method returns a reference to the live list, not a snapshot.
	 * Therefore any modification you make to the returned list will be present
	 * inside the JAXB object. This is why there is not a <CODE>set</CODE> method
	 * for the dataControlEvent property.
	 * 
	 * <p>
	 * For example, to add a new item, do as follows:
	 * 
	 * <pre>
	 * getDataControlEvent().add(newItem);
	 * </pre>
	 * 
	 * 
	 * <p>
	 * Objects of the following type(s) are allowed in the list
	 * {@link DataControlEvent }
	 * 
	 * 
	 */
	public List<DataControlEvent> getDataControlEvent() {
		if (dataControlEvent == null) {
			dataControlEvent = new ArrayList<DataControlEvent>();
		}
		return this.dataControlEvent;
	}

	public String getInstanceId() {
		return instanceId;
	}

	public void setInstanceId(String instanceId) {
		this.instanceId = instanceId;
	}

}
